<?php

include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

$sesion = new Sesion("", "", ""); /* Se crea un objeto nuevo con el privilegio necesario para la pag. actual */

if (!$sesion->isValida("4")) { /* Sesion invalida */
    header("Location: ../login.php?err=NoSesion");
}/* no hay sesion */ else {
    $dato = explode("|", $_SESSION['usuario']);
    $sesion->setDatos($dato[0], $dato[1], $dato[2]);
}
//fin validar session

$conexion = conecta_default();
$ok = 0;
$continuar = 1;
$idcdin = $sesion->id;
$nombrec = $_POST['nombreinv'];
$id_inv = $_POST['idinv'];
$centro = $_POST['idcent'];

$ipago = $_POST['pago'];
$bco = $_POST['banco'];
$ref = $_POST['folio'];
$idv = $_POST['voucher'];
@$regalias = $_POST['idregs'];
$autorizacion = $_POST['autorizar'];
$cdent = $_POST['entrega'];


echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script><script language='JavaScript' src='../scripts/Val.js'></script>";
$qps = "select  nombre from usuarios_ci where idusuarios_ci='$cdent'";
$cps = mysql_query($qps) or die('Error (Registro No Encontrado): ' . mysql_error());

$rps = mysql_fetch_object($cps);
$centroe = $rps->nombre;

if ($ipago == 5) {
    $qDG1 = "SELECT apagar from regs2 where idreg=$regalias";
    $cDG1 = mysql_query($qDG1) or die('Error (Obtencion DG.): ' . mysql_error());
    while ($rDG1 = mysql_fetch_row($cDG1)) {
        $cantreg = $rDG1[0];
    };
}
if ($ipago == 6) {
    $qa1 = "SELECT id_inver, rfc, nombre, appat, apmat, restante  FROM inversionista join voucher on inversionista.id_inver=voucher.id_inv WHERE voucher.idv = '" . $idv . "'";
    $ca1 = mysql_query($qa1) or die('Error voucher : ' . mysql_error());
    if (mysql_affected_rows()) {
        $ra1 = mysql_fetch_object($ca1);

        $rfcv = $ra1->rfc;
        $nombrev = $ra1->nombre;
        $apatv = $ra1->appat;
        $amatv = $ra1->apmat;
        $restov = $ra1->restante;
    }
}

function autorizar() {
    $qp3 = "SELECT month(curdate()) as mes, day(curdate())as dia, hour(curtime())as hora";
    $cp3 = mysql_query($qp3) or die('Error (Registro No Encontrado): ' . mysql_error());
    $rp3 = mysql_fetch_object($cp3);
    $lahorah = $rp3->hora;
    $eldiah = $rp3->dia;
    $elmesh = $rp3->mes;
    $codigo = $lahorah . "" . $eldiah . "" . $elmesh;
    return $codigo;
}

$qCuenta = "SELECT COUNT(idprod) FROM productos join stock on productos.id_prod=stock.idprod where idcd=$cdent";
$cCuenta = mysql_query($qCuenta) or die('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
while ($rCuenta = mysql_fetch_row($cCuenta)) {
    $cuenta = $rCuenta[0] + 1; // Cantidad de Productos para el contador.
};

echo"<center><img src=\"notavta.gif\">
			<br><br>Nombre:" . $nombrec . "
			<br><br>";
switch ($ipago) {
    //Pagos en efectivo				
    case 1: echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4.php\" method=\"post\">
					<b>Forma de pago:</b> Efectivo<img src=\"efect.gif\"><br><br>";
        ;
        break;

    //Pagos con deposito en banco				
    case 2:


        $qx2 = "SELECT * from bancos  WHERE idbanco=$bco";

        $cx2 = mysql_query($qx2) or die('Error en la consultasese' . mysql_error());

        for ($i = 0; $r1 = mysql_fetch_row($cx2); $i++) {
            $a0 = $r1[0];
            $a1 = $r1[1];
            $a2 = $r1[2];

            $nombrebanco = $a1 . " " . $a2;
        }


        echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4.php\" method=\"post\"><b>Forma de pago:</b>  
					Deposito<img src=\"depositos.gif\"><br><br>";
        //verificar si se escribio numero de referencia		
        if ($ref == NULL) {
            //no se escribio
            echo"<b>Es Necesario escribir una referencia para continuar<br>Favor de intentar nuevamente</b>";
            $continuar = 0;
        }
        //si se escribio
        else {
            echo"Banco:<b>$nombrebanco</b>&nbsp;&nbsp;&nbsp;&nbsp; Referencia: <b>$ref</b>&nbsp;&nbsp;&nbsp;&nbsp; 
			Fecha Deposito:<input type=\"text\" name=fecha_i size=\"8\" value=\"\">&nbsp;
			<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\">
			<br><br>";
        }
        ;
        break;

    //Pagos con tarjeta de credito		
    case 3: echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4.php\" method=\"post\">
					<b>Forma de pago:</b> Tarjeta <img src=\"tarjetas.gif\"> <br><font color=\"#781313\"><b>  
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*Aplica una comisi&oacute;n del 4 porciento*</b></font>
					<br><br>";
        ;
        break;

    //				
    case 4: echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4.php\" method=\"post\">
					";
        if ($autorizacion == autorizar()) {
            echo"<b>Forma de pago:</b> Por Pagar <img src=\"codaut.gif\">
					<br><br>";
        } else {
            echo"<font size=\"5\" color=\"#660000\">El c&oacute;digo ha
					sido rechazado<br><br>Favor de intentar de nuevo o <br><br> Seleccionar otra forma de pago</font>";
            $continuar = 0;
        }
        ;
        break;
    case 5: echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4r.php\" method=\"post\"><b>Forma de pago:</b> 												    				Regal&iacute;as <img src=\"regspago.gif\"
					<br><br>Regal&iacute;as a ser aplicadas: No $regalias Cantidad $cantreg<br><br>";
        ;
        break;


    case 6:
        if ($restov <= 0) {
            $continuar = 0;
            echo"<label style='color:#990000; font-size:20px; font-weight:bold'>No se encontro la informaci&oacute;n del voucher<br>
					Favor de intentar nuevamente<br><br></label>";
        } else {
            echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4v.php\" method=\"post\">
					<b>Forma de pago:</b> Voucher <img src=\"voucherpago.gif\"><br><br><label style='color:#5C3C12; font-size:20px; font-weight:bold'>Voucher $idv</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<label style='color:#5C3C12; font-size:18px; font-weight:bold'>Bueno por $ $restov</label>  <br>
       <font color=\"#990000\"> Los Vouchers son intransferibles, es necesario que el asociado<br>
       <b> $nombrev $apatv $amatv</b> haga esta transacci&oacute;n<br>
        o se cuente con una carta poder, de lo contrario no se generar&aacute;n puntos</font><br><br>";
        }
        ;
        break;
}
$qa1 = "SELECT idtransacciones from transacciones where inversionista_id_inver=$id_inv";
$ca1 = mysql_query($qa1) or die('Error (Registro No Encontrado): ' . mysql_error());
if (!mysql_affected_rows()) {
    echo" <font color=\"red\"><b>Esta es la primera compra de este usuario, el total <bR>
   deber&aacute; ser mayor a 698 y no generar&aacute; puntos</b></font><br><br>  ";
    $primerac = 1;
}
echo"<table id='dProductoLista' CellPadding=5>
                            <tfoot>
                                <tr>
                                    <td>Total</td>
                                    <td id='tcantidad'></td>
                                    <td id='tprecio'></td>
                                    <td id='tpuntos'></td>
                                </tr>
                            </tfoot>
                            <tbody id='ProductoLista'>
                                <tr bgcolor='#594106'>
                                    <th><font color=\"#FFFFFF\">Producto</th></font>
                                   <th><font color=\"#FFFFFF\">Cantidad</th></font>
                                    <th><font color=\"#FFFFFF\">Precio</th></font>
                                    <th><font color=\"#FFFFFF\">Puntos</th></font>
                                    <th></th>
                                </tr>
                            </tbody>
                        </table><br><br>";
echo"<input type = \"submit\" value=\"Continuar\" name=\"hacer_pedido\" /><br><br>";

echo"<font size = \"+2\">CD de Entrega: <b>$cdent $centroe</b></font><bR>";
if ($continuar != 0) {

    echo"<TABLE CellPadding=5>
			<TR bgcolor=\"#594106\">";
    echo "                      <th><font color=\"#FFFFFF\">Id. Producto</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
				<th><font color=\"#FFFFFF\">Puntos</th></font>
				<th><font color=\"#FFFFFF\">Existencias</th></font>
				<th><font color=\"#FFFFFF\">Cantidad</th></font>
			</TR>";

    $i = 0;
    $qd = "SELECT id_prod, nombreProd, precio, puntos, cantidad FROM productos join stock on productos.id_prod=stock.idprod where idcd=$cdent order by nombreProd asc";

    $cd = mysql_query($qd) or die('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
    if (mysql_affected_rows()) {

        while ($renglon = mysql_fetch_row($cd)) {

            echo"<tr bgcolor=\"#e8d78d\">";
            echo "<td>" . $renglon[0] . "</td>";
            echo "<td id='nom$i'>" . $renglon[1] . "</td>";
            echo "<td>" . "$" . $renglon[2] . "</td>";
            echo "<td align=\"center\">" . $renglon[3] . "</td>";
            echo "<td align=\"center\">" . $renglon[4] . "</td>";
            echo "<td><input type='text'  value='1' id='cant$i' size='5' maxlength='5'></td>";
            echo "<td><input value='Agregar' id='button$i' type='button' onclick='addprodventa(" . $i . "," . $renglon[0] . "," . $renglon[2] . "," . $renglon[3] . "," . $renglon[4] . ");' ></td>";
            $i++;
            //"," . $renglon[0] . "," . $renglon[1] . "," . $renglon[2] . "," . $renglon[3] . "," . $renglon[4] . s
            echo"</tr>";
        
        }
        echo "<tr bgcolor=\"#cedaf8\">
			<td>000</td>
		<input type=hidden name=copia_id_prod$i value=\"190\">
				<td>Flete</td>
				<input type=hidden name=copia_nombreProd$i value=\"Flete\">
				<td>$<input type=\"text\" name=copia_precio$i size=\"3\" maxlength=\"3\">
				<input type=hidden name=existencias$i value=\"100\"></td>
				
				<td>0</td><td></td>
				<input type=hidden name=copia_puntos$i value=\"0\">
				<input type=hidden name=folio value=\"$ref\">
				<input type=hidden name=banco value=\"$bco\">
				
				<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>
								
				</tr>
			
			</table>";
        //echo $copia_id_dist;
        echo "<br>
			
			<br><input type='hidden' name='idinv' value='$id_inv'>
		<input type='hidden' name='idcent' value='$centro'>
	
						<input type='hidden' name='nombreinv' value='$nombrec'>
						
						<input type=hidden name=copia_cuenta value=$cuenta>

						<input type=hidden name=pago value=\"$ipago\">
						<input type=hidden name=idregs value=\"$regalias\">
						<input type=hidden name=idvou value=\"$idv\">
					
			             
						 <input type=hidden name=entrega value=\"$cdent\">
						 <input type=hidden name=entreganom value=\"$centroe\">
			
  		    </form>";
    } else {
        echo"</table><br><br><font color=\"#CC0000\" size=\"+1\">No se cuenta con stock para hacer pedidos</font>";
    }
}


//	<input type='hidden' name='idcentro' value='$icentro'>
//   <input type=hidden name=comprasok value=\"$compras\">	<input type=hidden name=copia_clave_cd value=\"$clave_cd\">
?>

